package test.android;

import java.io.BufferedReader;
import java.io.InputStreamReader;

import android.app.Activity;
import android.os.Bundle;
import android.app.AlertDialog;

public class Mini extends Activity {

  public String stringFromAssets(String fileName) {
    StringBuilder res = new StringBuilder();

    try {
      BufferedReader bufReader = new BufferedReader(new InputStreamReader(getResources().getAssets().open(fileName)));
      String line = null;

      while (null != (line = bufReader.readLine())) {
        res.append(line);
      }
    } catch (Exception e) {
      e.printStackTrace();
    }
    return res.toString();
  }

  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    new AlertDialog.Builder(this).setMessage(stringFromAssets("info.txt")).show();
  }
}